# Generated from GECS-2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name GECS

Name: rubygem-%{gem_name}
Version: 2
Release: 1%{?dist}
Summary: Gem for Experimental Computer Science
License: Unlicense
URL: http://www.nist.gov/itl/ssd/cs/software-performance.cfm
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
The Gem for Experimental Computer Science (GECS) is for managing the data
resulting from experiments on software and IT systems.  It realizes a data
model that disambiguates the vocabulary of experimentation and measurement for
a computer science audience.  It also provides convenience functions to
determine confidence intervals, analyze main effects and interactions, and
export data in an R-compatible format for further analysis and visualization.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Rakefile
%{gem_instdir}/test

%changelog
* Mon Sep 13 2021 mockbuilder - 2-1
- Initial package
